﻿.index-products-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
    font-size: 0;
}
.index-products-linetext-box{
    display: block;
    width: 1400px;
    max-width: 100%;
    box-sizing: border-box;
    margin: 150px auto;
    position: relative;
    border-left: 1px solid #ccc;
    border-right: 1px solid #ccc;
}
.index-products-linetext-tl-box{
    display: block;
    position: absolute;
    top: -16px;
    left: 0;
}
.index-products-linetext-tr-box{
    display: block;
    position: absolute;
    top: 0;
    right: 0;
}
.index-products-linetext-bl-box{
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
}
.index-products-linetext-br-box{
    display: block;
    position: absolute;
    bottom: -16px;
    right: 0;
}
.index-products-linetext-tl,
.index-products-linetext-tr,
.index-products-linetext-bl,
.index-products-linetext-br{
    display: inline-block;
    width: 50px;
    height: 1px;
    background-color: #ccc;
    position: relative;
    vertical-align: middle;
    transition: all .3s linear;
}
.index-products-linetext-tl:after{
    content: '';
    background-color: #ccc;
    width: 7px;
    height: 7px;
    display: block;
    right: 0;
    top: -3px;
    position: absolute;
    transform: rotateZ(-45deg);
}
.index-products-linetext-br:after{
    content: '';
    background-color: #ccc;
    width: 7px;
    height: 7px;
    display: block;
    left: 0;
    top: -3px;
    position: absolute;
    transform: rotateZ(-45deg);
}
.index-products-linetext-tl-text{
    display: inline-block;
    font-size: 20px;
    font-family: 'cwTeXMing', '微軟正黑體';
    font-weight: bold;
    vertical-align: middle;
    color: #888;
    margin-left: 15px;
    letter-spacing: 1px;
}
.index-products-linetext-br-text{
    display: inline-block;
    font-size: 20px;
    font-family: 'Poiret One', cursive;
    vertical-align: middle;
    color: #888;
    margin-right: 15px;
    letter-spacing: 2px;
}
.index-products{
    display: block;
    width: 1215px;
    max-width: 100%;
    margin: 0 auto;
    box-sizing: border-box;
    padding: 100px 0;
}
.index-products-info-box{
    width: 100%;
    display: block;
}
.index-products-info{
    width: 300px;
    display: inline-block;
    background-color: #fff;
    box-sizing: border-box;
    padding: 10px 10px;
    padding-bottom: 6px;
    margin-right: 5px;
    text-align: center;
    transition: all .3s linear;
}
.index-products-info-img-box{
    display: block;
    width: 280px;
    height: 280px;
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
    margin: 0 auto;
}
.index-products-info-img{
    height: 100%;
    width: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
    transition: all .3s linear;
}
.index-products-info-buycar-box{
    width: 100%;
    font-size: 14px;
    display: block;
    position: absolute;
    bottom: -30px;
    left: 0;
    z-index: 2;
    background-color: #ddd;
    color: #389cd2;
    box-sizing: border-box;
    padding: 4px 5px;
    cursor: pointer;
    transition: all .3s linear;
}
.index-products-info-buycar{
    color: #555;
    transition: all .3s linear;
}
.index-products-info-text-box{
    display: block;
    color: #389cd2;
    font-weight: bold;
    font-size: 18px;
    letter-spacing: 1px;
    margin: 0 auto;
    margin-top: 12px;
    text-align: center;
    transition: all .3s linear;
}
.index-products-info-box .slick-prev{
    display: block;
    left: -98px;
    z-index: 3;
    color: #000;
    width: 20px;
    height: 50px;
    background-color: #fff;
}
.index-products-info-box .slick-next{
    display: block;
    right: -99px;
    z-index: 3;
    color: #000;
    width: 20px;
    height: 50px;
    background: #fff;
}

.index-products-info-box .slick-prev:before{
    content: '\f0d9';
    font-weight: bold;
    font-family: "Font Awesome 5 Free";
    display: block;
    width: 100%;
    text-align: left;
    font-size: 20px;
    color: #9f7a5b;
    position: relative;
}
.index-products-info-box .slick-next:before{
    content: '\f0da';
    font-weight: bold;
    font-family: "Font Awesome 5 Free";
    display: block;
    width: 100%;
    text-align: right;
    font-size: 20px;
    color: #9f7a5b;
    position: relative;
}
.index-products-info-img-hover{
    height: 100%;
    width: 100%;
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all .3s linear;
    justify-content:center;
    align-items:center;
}





/*<-------------hover------------->*/
.index-products-info:hover{
    background-color: #389cd2;
}
.index-products-info:hover .index-products-info-text-box{
    color: #fff;
}
.index-products-info:hover .index-products-info-img{
    background-image: none;
}
.index-products-info:hover .index-products-info-buycar-box{
    bottom: 0;
}
.index-products-linetext-br-text:hover+.index-products-linetext-br{
    transform: scaleX(1.15);
    transform-origin: 100% 50%
}
.index-products-info-buycar-box:hover .index-products-info-buycar{
    letter-spacing: 5px;
}
.index-products-info:hover .index-products-info-img-hover{
    opacity: 1;
}
.index-products-info:hover .products-info-text-price-now{
    color: #fff;
} 

@media only screen and (max-width: 1440px){
    .index-products-linetext-box{
        width: 1200px;
    }
    .index-products{
        width: 1015px;
    }
    .index-products-info{
        width: 250px;
    }
    .index-products-info-img-box{
        width: 230px;
        height: 230px;
    }
}
@media only screen and (max-width: 1240px){
    .index-products-linetext-box{
        width: 1000px;
    }
    .index-products{
        width: 815px;
    }
    .index-products-info{
        width: 200px;
    }
    .index-products-info-img-box{
        width: 180px;
        height: 180px;
    }
}
@media only screen and (max-width: 1040px){
    .index-products-linetext-box{
        width: 800px;
        margin: 75px auto;
    }
    .index-products{
        width: 615px;
    }
}
@media only screen and (max-width: 900px){
    .index-products-linetext-box{
        border: none;
    }
    .index-products-linetext-tr-box,
    .index-products-linetext-bl-box,
    .index-products-linetext-tl, 
    .index-products-linetext-tr, 
    .index-products-linetext-bl, 
    .index-products-linetext-br{
        display: none;
    }
    .index-products-linetext-tl-box,
    .index-products-linetext-br-box{
        width: 100%;
        display: block;
        text-align: center;
    }
    .index-products-linetext-tl-text{
        margin-left: 0;
    }
    .index-products-linetext-br-text{
        margin-right: 0;
    }
    .index-products{
        padding: 50px 0;
    }
    .index-products-linetext-box{
        width: 100%;
        margin: 50px 0;
    }
    .index-products{
        width: 600px;
    }
}
@media only screen and (max-width: 600px){
    .index-products{
        width: 400px;
        display: block;
        margin: 0 auto;
        padding: 15px 0;
    }
    .index-products-linetext-tl-text{
        font-size: 16px;
    }
    .index-products-linetext-br-text{
        font-size: 16px;
    }
    .index-products-linetext-box{
        margin: 35px 0;
    }
    .index-products-info{
        width: 195px;
        margin-left: 10px;
        margin-right: 0;
    }
    .index-products-info:nth-child(odd){
        margin-left: 0;
    }
}
@media only screen and (max-width: 400px){
    .index-products{
        width: 300px;
    }
    .index-products-info{
        width: 100%;
    }
    .index-products-info:nth-child(n){
        margin-left: 0;
    }
    .index-products-info-img-box{
        width: 100%;
        height: 280px;
    }
    .index-products-info-text-box{
        font-size: 16px;
    }
}